function [ f ] = brusselator_f( p, q, a , b )
% Function f(u, v)  for the brusselator equations

n = size(p, 2);
f = zeros(n);

for i = 1:n
    for j = 1:n
        f(i, j) = a - (b + 1)*p(i,j) + q(i,j)*(p(i,j)^2);
    end
end



end

