function [ g ] = brusselator_g( p, q, a, b )
% Function g(u, v)  for the brusselator eqautions

n = size(p, 2);
g = zeros(n);

for i = 1:n
    for j = 1:n
        g(i,j) = b*p(i,j) - q(i,j)*(p(i,j)^2);
    end
end



end

